summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/MythVantage-system/firstboot.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-09 03:14:58 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-09 03:14:58 (GMT)
commit5445907db788ab2c7c73ea19fc47d59c862fc6a3 (patch)
tree1b0a868eb5b9d6aa8e7835cbc49c05947b7c75fe /abs/mv-core/MythVantage-system/firstboot.sh
parentabc83d46637ebc63479ec745f05ae392f404f04e (diff)
downloadlinhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.zip
linhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.tar.gz
linhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.tar.bz2
MythVantage-config (replaces live-installer) for MythVantage
MythVanate-system (replaces STB-system)
Diffstat (limited to 'abs/mv-core/MythVantage-system/firstboot.sh')
-rwxr-xr-xabs/mv-core/MythVantage-system/firstboot.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/abs/mv-core/MythVantage-system/firstboot.sh b/abs/mv-core/MythVantage-system/firstboot.sh
new file mode 100755
index 0000000..366874a
--- /dev/null
+++ b/abs/mv-core/MythVantage-system/firstboot.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+. ~/.configured
+ATTEMPT=0
+function try_smolt {
+ ((ATTEMPT=ATTEMPT+1))
+ echo $ATTEMPT
+ status=$(echo "jump mythsmolt" | telnet localhost 6546 2>&1)
+ echo $status|grep -q refused
+ status=$?
+ if [ $status != 0 ]
+ then
+ fb_status=0
+ echo "FB=NO" > ~/.configured
+ fi
+ if [ $ATTEMPT = 200 ]
+ then
+ fb_status=0
+ fi
+}
+
+if [ ! -e /tmp/debug ]
+then
+ if [ ! -e /tmp/nomfe ]
+ then
+ if [ ! -e ~/.mythtv/pub-uuid ]
+ then
+ if [ x$FB != xNO ]
+ then
+ fb_status=4
+ while [ $fb_status != 0 ]
+ do
+ try_smolt
+ if [ $fb_status != 0 ]
+ then
+ sleep 1
+ fi
+ done
+ fi
+ fi
+ fi
+fi
+
+
+